"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPrefix = void 0;

var _path = require("path");

var _ = require(".");

const getPrefix = ({
  file: {
    opts: {
      filename
    }
  },
  opts: {
    removePrefix,
    filebase = false
  }
}, exportName) => {
  if (removePrefix === true) {
    return exportName === null ? '' : exportName;
  }

  const file = (0, _path.relative)(process.cwd(), filename);
  const fomatted = filebase ? file.replace(/\.[\0-\t\x0B\f\x0E-\u2027\u202A-\u{10FFFF}]+$/u, '') : (0, _path.dirname)(file);
  removePrefix = removePrefix === undefined || removePrefix === false ? '' : removePrefix;
  const fixed = removePrefix instanceof RegExp ? (0, _.dotPath)(fomatted.replace(removePrefix, '')) : (0, _.dotPath)(fomatted).replace(new RegExp(`^${removePrefix.replace(/\//gu, '')}\\${(0, _.dotPath)(_path.sep)}?`, 'u'), '');

  if (exportName === null) {
    return fixed;
  }

  if (fixed === '') {
    return exportName;
  }

  return `${fixed}.${exportName}`;
};

exports.getPrefix = getPrefix;